<?php

$xpathAry = array(
    '@id',
    '//@id',
    '/*/@id',
    '//company/@id',
    'name',
    '//name',
    '/*/name',
    '/company/name',
);

$xmlStr = <<<XML
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<company xmlns:xlink="http://www.w3.org/1999/xlink"
         xmlns="http://api.xonu.de" id="123">
    <name>xonu</name>
</company>
XML;

$domDoc = new DOMDocument();
$domDoc->loadXML($xmlStr);

$domXpath = new DOMXPath($domDoc);

$xmlNs = $domDoc->documentElement->lookupnamespaceURI(null);
// $domXpath->registerNamespace('x', $xmlNs);
$domDoc->documentElement->removeAttributeNS($xmlNs, '');

header('Content-type: text/plain');
foreach($xpathAry as $xpathStr) {
    print $xpathStr.' : ';

    $domNode = $domXpath->query($xpathStr);
    if($domNode->length) {
        print $domNode->item(0)->nodeValue."\n";
    } else {
        print "Nichts gefunden.\n";
    }
}